using System.Text.Json;
using System.Text.Json.Serialization;

namespace Parsing_Packets.Models;

public record AppSettings(PhysicalAddressConfiguration PhysicalAddressConfiguration,
                          string BuildNumber,
                          string Company,
                          string GitCommitSeven,
                          string Helper,
                          int MillisecondsDelay)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, AppSettingsSourceGenerationContext.Default.AppSettings);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(AppSettings))]
internal partial class AppSettingsSourceGenerationContext : JsonSerializerContext
{
}