using System.Text.Json;
using System.Text.Json.Serialization;

namespace Parsing_Packets.Models;

public record PhysicalAddressConfiguration(string Description,
                                           string DeviceName,
                                           string Directory,
                                           string IPV4Filter,
                                           int ReadTimeoutMilliseconds,
                                           string StringOutputType,
                                           bool UseARP)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, PhysicalAddressConfigurationSourceGenerationContext.Default.PhysicalAddressConfiguration);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(PhysicalAddressConfiguration))]
internal partial class PhysicalAddressConfigurationSourceGenerationContext : JsonSerializerContext
{
}